Skip to main content
GET
Retrieve journal entry

Authorizations

Authorization
string
header
required

API key prefixed with finta_

Path Parameters

id
string
required

Journal entry ID with je_ prefix.

Pattern: ^je_

Response

The requested journal entry

id
string
required

Unique identifier with je_ prefix.

Example:

"je_abc123"

object
enum<string>
required
Available options:
journal_entry
date
string<date>
required

Entry date.

Example:

"2026-01-15"

amount_cents
integer
required

Amount in cents (always positive). Use type to determine whether this is a debit or credit.

Example:

49900

type
enum<string>
required

Whether this entry is a debit or credit. Each journal entry represents one side of a double-entry pair.

Available options:
debit,
credit
currency
string
required

ISO 4217 currency code.

Example:

"USD"

transaction_id
string | null
required

The transaction that directly or indirectly created this entry, or null for entries without a transaction.

Example:

"txn_a1b2c3d4e5f6g7"

department_id
string | null
required

The prefixed ID of the assigned department, or null if unassigned.

Example:

"dept_b2c3d4e5f6g7h8"

created
integer
required

Unix timestamp of when the entry was created.

Example:

1771113600

merchant
string | null

The merchant or counterparty name for this journal entry.

name
string | null
deprecated

Deprecated: use merchant instead. Same value as merchant.

category_id
string | null

The prefixed ID of the assigned category, or null if uncategorized.

Example:

"cat_o5p6q7r8s9t0u1"

category_name
string | null

The name of the assigned category, or null if uncategorized.

Example:

"Software"

source_type
enum<string> | null

What created this journal entry.

Available options:
transaction,
spread,
invoice,
csv_upload,
manual_batch,
capitalization,
split,
intercompany